Draft Dimension

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Dimension and the translation is 7% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Text.svg Text
Next: BSpline Draft BSpline.svg Arrow-right.svg

Draft Dimension.svg Draft Dimension

Ubicación en el Menú
Croquis → Cotas
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
D I
Introducido en versión
-
Ver también
FlipDimension


Descripción

La herramienta cotas crea una cota en el documento actual con dos puntos definiendo la distancia a medir, y un tercer punto especificando por donde pasa la línea de cota.

The tool can measure edges or lines directly attached to solid bodies; if the body changes, the dimension updates itself. The tool can also measure a diameter or radius of curvature such as those produced by a Draft Arc, or by the Part Fillet, Sketcher CreateFillet, and PartDesign Fillet operations.

The resulting dimension is placed in the 3D view, and is considered a Draft object. This object can be displayed on a TechDraw Workbench Page, using the TechDraw NewDraft or TechDraw NewArch tools. Alternatively, TechDraw has its own tools to display dimensions, such as TechDraw Dimension Length and TechDraw Dimension Radius; however, these tools are meant for preparing technical drawings, so they create the dimensions only in the drawing page, and not in the 3D view.

Screenshot Draft Dimension.jpg

Screenshot Draft Dimension.jpg

Utilización

  1. Presiona el botón Draft Dimension.png cota, o presiona las teclas D y I
  2. Designa un punto en la vista 3D, o escribe unas coordenadas
  3. Designa un segundo punto en la vista 3D, o escribe unas coordenadas
  4. Designa un tercer punto en la vista 3D, o escribe unas coordenadas

The dimension can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The measuring points can be changed after creation by changing the start and end properties.

The position of the measurement line can also be changed after creation by changing its direction property.

Tipos de cotas disponibles

  • Cotas lineales: seleccionando dos puntos o un segmento recto con la tecla ALT presionada.
  • Cotas Horizontales/verticales: presionando SHIFT mientras el segundo punto es seleccionado.
  • Cota de Diámetro: seleccionando un segmento curvo con la tecla ALT presionada.
  • Cota de Radio: seleccionando un segmento curvo con la tecla ALT presionada, y pulsando después SHIFT.
  • Cotas Angulares: seleccionando dos segmentos rectos con la tecla ALT presionada.
  • Linear dimensions: hold the Alt key, or click on the View-select.svg select edge button, and pick a straight edge, then pick a second point to draw the dimension line parallel to that edge.
Note: you can also pre-select the edge before calling the tool.
  • Horizontal and vertical dimensions: pick one point, then pick a second point, then hold the Shift key and move the pointer horizontally or vertically, then pick a third point to draw the dimension line parallel to either the X axis or the Y axis.
Note 1: click and hold Shift and move the pointer in different directions many times until the dimension line aligns to the desired axis. Clicking Shift while the pointer is far from the first point will usually align the dimension to the X axis; if the pointer is close to the first point it will usually align the dimension to the Y axis.
Note 2: instead of picking two points, pick an edge while holding Alt.
  • Diameter dimensions: hold the Alt key and pick a curved edge, then pick a second point to draw the dimension line.
    • Radius dimensions: hold the Alt key and pick a curved edge, then hold the Shift key and pick a second point to draw the dimension line.
  • Angular dimensions: hold the Alt key and then pick two straight edges, then pick a point between the two edges to show the acute or obtuse angle, or elsewhere to show a supplementary or explementary angle.
Note: the displayed angle largely depends on the original position of the selected edges. If you would like to display a particular angle, you may have to add auxiliary Draft Lines that extend from the original edges, and measure these extensions.

Note: by pre-selecting an edge, or by picking it with Alt or View-select.svg select edge, the dimension will become parametric, that is, it will remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them, and adjust the displayed measurement.

Opciones

  • Presiona X, Y o Z después de un punto para restringir el punto siguiente sobre el eje indicado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se realizará una restricción de la cota horizontal o verticalmente, o, cuando se trabaja con un segmento circular, conmuta entre los modos de radio y diámetro.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si el modo relativas está activada, las coordenadas del siguiente punto son relativas al anterior. Si no, son absolutas, tomadas desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, podrás dibujar cotas continuas, una tras otra, que comparten la misma línea base.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.
  • Seleccionando una arista existente con ALT, en lugar de introducir puntos de medición, la cota se convertirá en paramétrica y recordará a que arista está vinculada. Si los puntos finales de la arista se mueven posteriormente, la cota los seguirá.
  • Si se selecciona un borde antes de iniciar el comando Dimensión, la dimensión creada también será 'paramétrica' .
  • La dirección de la dimensión se puede cambiar luego, modificando su propiedad "Dirección"

Propiedades

  • DATOSStart: El punto inicial de la distancia a medir
  • DATOSEnd: El punto final de la distancia a medir
  • DATOSDimline: Un punto por el cual debe pasar la línea de cota
  • VISTADisplay Mode: Especifica si el texto está alineado con las líneas de cota o si siempre mira hacia la cámara
  • VISTAFont Size: El tamaño de las letras
  • VISTAExt Lines: El tamaño de las líneas de extensión (entre los puntos de medición y la línea de cota)
  • VISTAText Position: Puede utilizarse para forzar que el texto se muestre en determinada posición
  • VISTAOverride: Especifica un texto a mostrar en lugar de la medición. Utiliza la palabra "$dim", dentro del texto, para mostrar la medición
  • VISTAFont Name: La fuente a utilizar para dibujar el texto. Puede ser un nombre de fuente, como "Arial", un estilo por defecto como "sans", "serif" o "mono", o una familia como "Arial,Helvetica,sans" o un nombre con un estilo como "Arial:Bold". Si la fuente indicada no se encuentra en el sistema, se utilizará una genérica en su lugar.
  • VISTAArrow Type: el tipo de flecha para usar
  • VISTAArrow Size: el tamaño de las flechas
  • VISTADecimals: la cantidad de lugares decimales que se mostrarán en la dimensión
  • VISTAFlip Arrows: invierte la orientación de las flechas
  • VISTAUnit Override: Expresa la distancia en la unidad dada (déjelo en blanco para usar la unidad del sistema) Disponible en la versión 0.17

Data

  • DATAStart: specifies the start point of the distance to measure.
  • DATAEnd: specified the end point of the distance to measure.
  • DATADimline: specifies a point through which the dimension line must pass.
  • DATADistance: (read-only) indicates the measured length.
  • DATADiameter: if it is True it displays a diameter dimension; otherwise it displays a radius dimension; this property only works if the dimension is attached to a circular arc.

View

  • VIEWExt Lines: specifies the maximum length of the extension lines that go from the measurement points to the dimension line.
  • VIEWExt Overshoot: specifies the additional length of the extension lines beyond the dimension line.
  • VIEWDim Overshoot: specifies the additional length added to the dimension line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the ends of the dimension line.
  • VIEWArrow Type: specifies the type of symbol displayed at the ends of the dimension line, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWFlip Arrows: specifies whether to flip the orientation of the symbols at the ends of the dimension line; it only works if these symbols are arrows.
  • VIEWFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VIEWFont Size: specifies the size of the letters. If the dimension object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • VIEWFlip Text: specifies whether to flip the orientation of the text indicating the measurement.
  • VIEWText Position: specifies the position of the text in absolute coordinates, referred to the origin (0,0,0); leave this property at its default value (0,0,0) to display the text next to the dimension line.
  • VIEWText Spacing: specifies the space between the text and the dimension line.
  • VIEWOverride: specifies a custom text to display instead of the actual measurement. Use the string $dim inside the text to display the measurement value.
  • VIEWDecimals: specifies the number of decimal places to display on the measurement.
  • VIEWShow Unit: if it is True the unit is displayed next to numerical value of the measurement.
  • VIEWUnit Override: specifies a unit in which to express the measurement, for example, "km", "m", "cm", "mm", "mi", "ft", "in"; leave this property blank to use the default units. introduced in version 0.17

Archivos de guión

La herramienta cotas se puede utilizar en macros y desde la consola de Python utilizando la siguientes funciones:

The Dimension tool can be used in macros and from the Python console by using the following function:

Dimension = makeDimension(p1, p2, p3=None, p4=None)

There are various ways to invoke this function, depending on the arguments passed to it:

Dimension = makeDimension(p1, p2, p3=None)
Dimension = makeDimension(object, i1, i2, p4=None)
Dimension = makeDimension(object, i1, mode, p4=None)
  • Crea un objeto cota con la línea de cota pasando por p3.
  • El objeto Dimension toma el Draft Linewidth and Color establecido en la barra de comandos.
  • Existen varias formas de crear una cota, dependiendo de los argumentos que les pases:
  1. (p1,p2,p3): crea una cota estándar desde p1 hasta p2.
  2. (object,i1,i2,p3): crea una cota vinculada a los objetos dados, midiendo la distancia entre sus vértices indexados i1 e i2.
  3. (object,i1,mode,p3): crea una cota vinculada al objeto actual, i1 es el índice de la arista (curvada) a medir, y mode es tanto el "radio" como el "diámetro". Devuelve el objeto recién creado.

To create an angular dimension use the following function:

Dimension = makeAngularDimension(center, angles, p3, normal=None)
Dimension = makeAngularDimension(center, [angle1, angle2], p3, normal=None)

crea una cota angular desde el centro indicado, con la lista dada de ángulos, pasando por p3. Devuelve el objeto recién creado.

The view properties of Dimension can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Ejemplo:

import math, FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(-2500, 0, 0)
Dimension1 = Draft.makeDimension(p1, p2, p3)
Dimension1.ViewObject.FontSize = 200

Polygon = Draft.makePolygon(3, radius=1000)
p4 = FreeCAD.Vector(-2000, 1500, 0)
Dimension2 = Draft.makeDimension(Polygon, 1, 2, p4)
Dimension2.ViewObject.FontSize = 200

center = FreeCAD.Vector(2000, 0, 0)
p5 = FreeCAD.Vector(3000, 1000, 0)
angle1 = math.radians(45)
angle2 = math.radians(10)
Dimension3 = Draft.makeAngularDimension(center, [angle1, angle2], p5)
Dimension3.ViewObject.FontSize = 200

Dimension4 = Draft.makeAngularDimension(center, [angle2, angle1], p5*1.2)
Dimension4.ViewObject.FontSize = 200
Arrow-left.svg Previous: Draft Text.svg Text
Next: BSpline Draft BSpline.svg Arrow-right.svg